/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007,2008  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */

/*Javascript File*/ /*version 1.06 2/25/08*/
function showAllTags(){
	document.getElementById("allTags").style.left="200px";
	var vOverlay=document.getElementById("overlay");	
	//have to use javascript to get overlay to be as tall as the whole page
	var body = document.documentElement ? document.documentElement : document.body;
	var windowHeight = window.innerHeight ? window.innerHeight : body.clientHeight;	
	if (body.scrollHeight > windowHeight) windowHeight = body.scrollHeight;	
	vOverlay.style.height=windowHeight+ "px";
	vOverlay.style.display="block";	
}

function hideAllTags(){
	var vTagPopup=document.getElementById("allTags").style.left="-9999px";
	document.getElementById("overlay").style.display="none";
}

function newSort(pItem){
	clearSelection("moreSorts");
	var vParent=pItem.parentNode;
	vParent.className="lotusSelected";
	var vActiveSort=document.getElementById("lotusActiveSort");
	vActiveSort.innerHTML=pItem.innerHTML;
	reverseSort(vActiveSort); //sets initial sort direction indicator
}
	
function clearSelection(pMenu){
	var vMenu=document.getElementById(pMenu);
	for (x in vMenu.childNodes){
		vMenu.childNodes[x].className="";
	}
}
	
function clearSort(pElem){
	if(pElem.className!="") return;
	var vList=pElem.parentNode.parentNode;
	for (x in vList.childNodes){
		try{
			vList.childNodes[x].firstChild.className="";
		}catch(e){
			//nothing
		}
	}
}
	
function reverseSort(pElem){
	if (pElem.className.indexOf("lotusAscending")!=-1 || pElem.className=="") pElem.className="lotusActiveSort lotusDescending"
	else pElem.className="lotusActiveSort lotusAscending";
}

function openMoreSorts(pElem){
	document.getElementById(pElem).className += " lotusSelected";
}

function closeMoreSorts(pElem){
	document.getElementById(pElem).className = "lotusMoreSorts";
}
	
function toggleMoreApps(pDiv,pLink){
	var vSecondRow=document.getElementById(pDiv);
	if (pLink.className.indexOf("lotusMoreExpanded")!=-1){
		pLink.className="lotusMore";
		vSecondRow.style.display="none";
	}else{	
		pLink.className+=" lotusMoreExpanded";
		vSecondRow.style.display="";
	}
}

function displayMore(pMenu, pMoreControl){
	pMoreControl.style.display="none";
	document.getElementById(pMenu).style.display="block";
}
 
function toggleSearch(pElem,pForm){
   var vForm=document.getElementById(pForm);
   if (pElem.parentNode.className.indexOf("lotusTabExpanded")==-1){
	   pElem.parentNode.className+=" lotusTabExpanded";
	   vForm.style.display="block";
   }else{
	   pElem.parentNode.className="lotusSearchTab";
	   vForm.style.display="none";
   }//end if
}

function showElem(pElem){
	document.getElementById(pElem).style.display="block";
}

function hideElem(pElem){
	document.getElementById(pElem).style.display="none";
}
function getOffsetTop(pElem,pOTOP){
	//this function is called recursively until we get to the body element.  Not needed for absolutely positioned items.
	var offset = 0;
	var curElem = pElem;
	while (curElem){
		offset += curElem.offsetTop;
   		curElem = curElem.offsetParent;
   		if (curElem) offset -= curElem.scrollTop;
   	}
	return offset;
}

function getOffsetLeft(pElem,pOLEFT){
	//this function is called recursively until we get to the body element. Not needed for absolutely positioned items.
	var offset = 0;
	var curElem = pElem;
	while (curElem){
		offset += curElem.offsetLeft;
   		curElem = curElem.offsetParent;
   		if (curElem) offset -= curElem.scrollLeft;
   	}
	return offset;
}

function Calendar()
 {
   var date=new Date();
   this.getDateToday = function()
     {
       var yy=date.getYear();
       if (yy<1900)
         yy+=1900;
       var mm=_calprefix(date.getMonth()+1);
       var dd=_calprefix(date.getDay());
       return yy+"-"+mm+"-"+dd;
     }
   this.getTimeNow = function(incms)
     {
       var hr=_calprefix(date.getHours());
       var mn=_calprefix(date.getMinutes());
       var sc=_calprefix(date.getSeconds());
       var ms=_calprefix(date.getMilliseconds());
       var tm=hr+":"+mn+":"+sc;
       if (arguments.length >= 1 && (incms))
         tm+="."+ms;
       return tm;
     }
   this.getDateTime = function(incms)
     {
       var dtm=this.getDateToday()+"T"+this.getTimeNow(incms);
       return dtm;
     }
   this.getTime = function()
     {
       return date.getTime();
     }
   var _calprefix = function(n)
     {
       if (n<10) n="0"+n;
       return n;
     }
 }
